// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class MemberController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public MemberController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected MemberController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Edit()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Delete()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Delete);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult DeleteChild()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DeleteChild);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GetListProductBefore()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetListProductBefore);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllMemberPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetSelectMemberPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetSelectMemberPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult CheckavailabilityMember()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.CheckavailabilityMember);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult History()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.History);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllMemberHistory()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberHistory);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllMemberHistoryPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberHistoryPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GetImage()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetImage);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GetAllChild()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetAllChild);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult VerifyChildCollect()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.VerifyChildCollect);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public MemberController Actions { get { return MVC.Member; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Member";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Member";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Add = "Add";
            public readonly string Edit = "Edit";
            public readonly string Delete = "Delete";
            public readonly string DeleteChild = "DeleteChild";
            public readonly string SyncMember = "SyncMember";
            public readonly string GetListProductBefore = "GetListProductBefore";
            public readonly string GridGetAllMember = "GridGetAllMember";
            public readonly string GridGetAllMemberPager = "GridGetAllMemberPager";
            public readonly string GridGetSelectMember = "GridGetSelectMember";
            public readonly string GridGetSelectMemberPager = "GridGetSelectMemberPager";
            public readonly string CheckavailabilityMember = "CheckavailabilityMember";
            public readonly string History = "History";
            public readonly string GridGetAllMemberHistory = "GridGetAllMemberHistory";
            public readonly string GridGetAllMemberHistoryPager = "GridGetAllMemberHistoryPager";
            public readonly string Upload = "Upload";
            public readonly string DownloadExcelTemplate = "DownloadExcelTemplate";
            public readonly string GetImage = "GetImage";
            public readonly string GetAllChild = "GetAllChild";
            public readonly string VerifyChildCollect = "VerifyChildCollect";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Add = "Add";
            public const string Edit = "Edit";
            public const string Delete = "Delete";
            public const string DeleteChild = "DeleteChild";
            public const string SyncMember = "SyncMember";
            public const string GetListProductBefore = "GetListProductBefore";
            public const string GridGetAllMember = "GridGetAllMember";
            public const string GridGetAllMemberPager = "GridGetAllMemberPager";
            public const string GridGetSelectMember = "GridGetSelectMember";
            public const string GridGetSelectMemberPager = "GridGetSelectMemberPager";
            public const string CheckavailabilityMember = "CheckavailabilityMember";
            public const string History = "History";
            public const string GridGetAllMemberHistory = "GridGetAllMemberHistory";
            public const string GridGetAllMemberHistoryPager = "GridGetAllMemberHistoryPager";
            public const string Upload = "Upload";
            public const string DownloadExcelTemplate = "DownloadExcelTemplate";
            public const string GetImage = "GetImage";
            public const string GetAllChild = "GetAllChild";
            public const string VerifyChildCollect = "VerifyChildCollect";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
        }
        static readonly ActionParamsClass_Add s_params_Add = new ActionParamsClass_Add();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Add AddParams { get { return s_params_Add; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Add
        {
            public readonly string model = "model";
            public readonly string ProfilePicture = "ProfilePicture";
            public readonly string KTPImage = "KTPImage";
            public readonly string KKImage = "KKImage";
            public readonly string AkteImage = "AkteImage";
            public readonly string ESignature = "ESignature";
        }
        static readonly ActionParamsClass_Edit s_params_Edit = new ActionParamsClass_Edit();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Edit EditParams { get { return s_params_Edit; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Edit
        {
            public readonly string MemberId = "MemberId";
            public readonly string code = "code";
            public readonly string status = "status";
            public readonly string model = "model";
            public readonly string ProfilePicture = "ProfilePicture";
            public readonly string KTPImage = "KTPImage";
            public readonly string KKImage = "KKImage";
            public readonly string AkteImage = "AkteImage";
            public readonly string ESignature = "ESignature";
        }
        static readonly ActionParamsClass_Delete s_params_Delete = new ActionParamsClass_Delete();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Delete DeleteParams { get { return s_params_Delete; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Delete
        {
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_DeleteChild s_params_DeleteChild = new ActionParamsClass_DeleteChild();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_DeleteChild DeleteChildParams { get { return s_params_DeleteChild; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_DeleteChild
        {
            public readonly string ID = "ID";
            public readonly string MemberID = "MemberID";
        }
        static readonly ActionParamsClass_GetListProductBefore s_params_GetListProductBefore = new ActionParamsClass_GetListProductBefore();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GetListProductBefore GetListProductBeforeParams { get { return s_params_GetListProductBefore; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GetListProductBefore
        {
            public readonly string IsPregnancy = "IsPregnancy";
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_GridGetAllMemberPager s_params_GridGetAllMemberPager = new ActionParamsClass_GridGetAllMemberPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllMemberPager GridGetAllMemberPagerParams { get { return s_params_GridGetAllMemberPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllMemberPager
        {
            public readonly string search = "search";
            public readonly string orderBy = "orderBy";
            public readonly string orderDirection = "orderDirection";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_GridGetSelectMemberPager s_params_GridGetSelectMemberPager = new ActionParamsClass_GridGetSelectMemberPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetSelectMemberPager GridGetSelectMemberPagerParams { get { return s_params_GridGetSelectMemberPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetSelectMemberPager
        {
            public readonly string search = "search";
            public readonly string orderBy = "orderBy";
            public readonly string orderDirection = "orderDirection";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_CheckavailabilityMember s_params_CheckavailabilityMember = new ActionParamsClass_CheckavailabilityMember();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_CheckavailabilityMember CheckavailabilityMemberParams { get { return s_params_CheckavailabilityMember; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_CheckavailabilityMember
        {
            public readonly string ID = "ID";
            public readonly string KeyType = "KeyType";
            public readonly string Value = "Value";
        }
        static readonly ActionParamsClass_History s_params_History = new ActionParamsClass_History();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_History HistoryParams { get { return s_params_History; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_History
        {
            public readonly string MemberID = "MemberID";
            public readonly string memberID = "memberID";
            public readonly string tglAwal = "tglAwal";
            public readonly string tglAkhir = "tglAkhir";
        }
        static readonly ActionParamsClass_GridGetAllMemberHistory s_params_GridGetAllMemberHistory = new ActionParamsClass_GridGetAllMemberHistory();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllMemberHistory GridGetAllMemberHistoryParams { get { return s_params_GridGetAllMemberHistory; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllMemberHistory
        {
            public readonly string MemberID = "MemberID";
        }
        static readonly ActionParamsClass_GridGetAllMemberHistoryPager s_params_GridGetAllMemberHistoryPager = new ActionParamsClass_GridGetAllMemberHistoryPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllMemberHistoryPager GridGetAllMemberHistoryPagerParams { get { return s_params_GridGetAllMemberHistoryPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllMemberHistoryPager
        {
            public readonly string txtSearch = "txtSearch";
            public readonly string HiddenMemberID = "HiddenMemberID";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_Upload s_params_Upload = new ActionParamsClass_Upload();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Upload UploadParams { get { return s_params_Upload; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Upload
        {
            public readonly string excelFile = "excelFile";
        }
        static readonly ActionParamsClass_GetImage s_params_GetImage = new ActionParamsClass_GetImage();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GetImage GetImageParams { get { return s_params_GetImage; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GetImage
        {
            public readonly string url = "url";
        }
        static readonly ActionParamsClass_GetAllChild s_params_GetAllChild = new ActionParamsClass_GetAllChild();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GetAllChild GetAllChildParams { get { return s_params_GetAllChild; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GetAllChild
        {
            public readonly string parentId = "parentId";
        }
        static readonly ActionParamsClass_VerifyChildCollect s_params_VerifyChildCollect = new ActionParamsClass_VerifyChildCollect();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_VerifyChildCollect VerifyChildCollectParams { get { return s_params_VerifyChildCollect; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_VerifyChildCollect
        {
            public readonly string ID = "ID";
            public readonly string MemberID = "MemberID";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Add = "Add";
                public readonly string Edit = "Edit";
                public readonly string GridGetAllMember = "GridGetAllMember";
                public readonly string GridGetAllMemberHistory = "GridGetAllMemberHistory";
                public readonly string GridGetSelectMember = "GridGetSelectMember";
                public readonly string History = "History";
                public readonly string Index = "Index";
                public readonly string Upload = "Upload";
            }
            public readonly string Add = "~/Views/Member/Add.cshtml";
            public readonly string Edit = "~/Views/Member/Edit.cshtml";
            public readonly string GridGetAllMember = "~/Views/Member/GridGetAllMember.cshtml";
            public readonly string GridGetAllMemberHistory = "~/Views/Member/GridGetAllMemberHistory.cshtml";
            public readonly string GridGetSelectMember = "~/Views/Member/GridGetSelectMember.cshtml";
            public readonly string History = "~/Views/Member/History.cshtml";
            public readonly string Index = "~/Views/Member/Index.cshtml";
            public readonly string Upload = "~/Views/Member/Upload.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_MemberController : LoyaltyPointEngine.CMS.Controllers.MemberController
    {
        public T4MVC_MemberController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void AddOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Add()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Add);
            AddOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void AddOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, LoyaltyPointEngine.Model.Parameter.Member.AddMemberParameterCMSModel model, System.Web.HttpPostedFileBase ProfilePicture, System.Web.HttpPostedFileBase KTPImage, System.Web.HttpPostedFileBase KKImage, System.Web.HttpPostedFileBase AkteImage, System.Web.HttpPostedFileBase ESignature);

        [NonAction]
        public override System.Web.Mvc.ActionResult Add(LoyaltyPointEngine.Model.Parameter.Member.AddMemberParameterCMSModel model, System.Web.HttpPostedFileBase ProfilePicture, System.Web.HttpPostedFileBase KTPImage, System.Web.HttpPostedFileBase KKImage, System.Web.HttpPostedFileBase AkteImage, System.Web.HttpPostedFileBase ESignature)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Add);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "model", model);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ProfilePicture", ProfilePicture);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "KTPImage", KTPImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "KKImage", KKImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "AkteImage", AkteImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ESignature", ESignature);
            AddOverride(callInfo, model, ProfilePicture, KTPImage, KKImage, AkteImage, ESignature);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberId, string code, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit(int MemberId, string code, string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberId", MemberId);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "code", code);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            EditOverride(callInfo, MemberId, code, status);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, LoyaltyPointEngine.Model.Parameter.Member.EditMemberCMSModel model, System.Web.HttpPostedFileBase ProfilePicture, System.Web.HttpPostedFileBase KTPImage, System.Web.HttpPostedFileBase KKImage, System.Web.HttpPostedFileBase AkteImage, System.Web.HttpPostedFileBase ESignature);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit(LoyaltyPointEngine.Model.Parameter.Member.EditMemberCMSModel model, System.Web.HttpPostedFileBase ProfilePicture, System.Web.HttpPostedFileBase KTPImage, System.Web.HttpPostedFileBase KKImage, System.Web.HttpPostedFileBase AkteImage, System.Web.HttpPostedFileBase ESignature)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "model", model);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ProfilePicture", ProfilePicture);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "KTPImage", KTPImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "KKImage", KKImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "AkteImage", AkteImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ESignature", ESignature);
            EditOverride(callInfo, model, ProfilePicture, KTPImage, KKImage, AkteImage, ESignature);
            return callInfo;
        }

        [NonAction]
        partial void DeleteOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Delete(int ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Delete);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            DeleteOverride(callInfo, ID);
            return callInfo;
        }

        [NonAction]
        partial void DeleteChildOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ID, int MemberID);

        [NonAction]
        public override System.Web.Mvc.ActionResult DeleteChild(int ID, int MemberID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DeleteChild);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberID", MemberID);
            DeleteChildOverride(callInfo, ID, MemberID);
            return callInfo;
        }

        [NonAction]
        partial void SyncMemberOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult SyncMember()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.SyncMember);
            SyncMemberOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GetListProductBeforeOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, bool? IsPregnancy, int? ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult GetListProductBefore(bool? IsPregnancy, int? ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetListProductBefore);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "IsPregnancy", IsPregnancy);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            GetListProductBeforeOverride(callInfo, IsPregnancy, ID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMember()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMember);
            GridGetAllMemberOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string search, string orderBy, string orderDirection, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMemberPager(string search, string orderBy, string orderDirection, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "search", search);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderBy", orderBy);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderDirection", orderDirection);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllMemberPagerOverride(callInfo, search, orderBy, orderDirection, page);
            return callInfo;
        }

        [NonAction]
        partial void GridGetSelectMemberOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetSelectMember()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetSelectMember);
            GridGetSelectMemberOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GridGetSelectMemberPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string search, string orderBy, string orderDirection, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetSelectMemberPager(string search, string orderBy, string orderDirection, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetSelectMemberPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "search", search);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderBy", orderBy);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderDirection", orderDirection);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetSelectMemberPagerOverride(callInfo, search, orderBy, orderDirection, page);
            return callInfo;
        }

        [NonAction]
        partial void CheckavailabilityMemberOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int? ID, string KeyType, string Value);

        [NonAction]
        public override System.Web.Mvc.ActionResult CheckavailabilityMember(int? ID, string KeyType, string Value)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.CheckavailabilityMember);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "KeyType", KeyType);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Value", Value);
            CheckavailabilityMemberOverride(callInfo, ID, KeyType, Value);
            return callInfo;
        }

        [NonAction]
        partial void HistoryOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberID);

        [NonAction]
        public override System.Web.Mvc.ActionResult History(int MemberID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.History);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberID", MemberID);
            HistoryOverride(callInfo, MemberID);
            return callInfo;
        }

        [NonAction]
        partial void HistoryOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int memberID, string tglAwal, string tglAkhir);

        [NonAction]
        public override System.Web.Mvc.ActionResult History(int memberID, string tglAwal, string tglAkhir)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.History);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "memberID", memberID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "tglAwal", tglAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "tglAkhir", tglAkhir);
            HistoryOverride(callInfo, memberID, tglAwal, tglAkhir);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberHistoryOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberID);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMemberHistory(int MemberID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberHistory);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberID", MemberID);
            GridGetAllMemberHistoryOverride(callInfo, MemberID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberHistoryPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string txtSearch, int HiddenMemberID, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMemberHistoryPager(string txtSearch, int HiddenMemberID, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberHistoryPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "HiddenMemberID", HiddenMemberID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllMemberHistoryPagerOverride(callInfo, txtSearch, HiddenMemberID, page);
            return callInfo;
        }

        [NonAction]
        partial void UploadOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Upload()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Upload);
            UploadOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void UploadOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Web.HttpPostedFileBase excelFile);

        [NonAction]
        public override System.Web.Mvc.ActionResult Upload(System.Web.HttpPostedFileBase excelFile)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Upload);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "excelFile", excelFile);
            UploadOverride(callInfo, excelFile);
            return callInfo;
        }

        [NonAction]
        partial void DownloadExcelTemplateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult DownloadExcelTemplate()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DownloadExcelTemplate);
            DownloadExcelTemplateOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GetImageOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string url);

        [NonAction]
        public override System.Web.Mvc.ActionResult GetImage(string url)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "url", url);
            GetImageOverride(callInfo, url);
            return callInfo;
        }

        [NonAction]
        partial void GetAllChildOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int parentId);

        [NonAction]
        public override System.Web.Mvc.ActionResult GetAllChild(int parentId)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetAllChild);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "parentId", parentId);
            GetAllChildOverride(callInfo, parentId);
            return callInfo;
        }

        [NonAction]
        partial void VerifyChildCollectOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ID, int MemberID);

        [NonAction]
        public override System.Web.Mvc.ActionResult VerifyChildCollect(int ID, int MemberID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.VerifyChildCollect);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberID", MemberID);
            VerifyChildCollectOverride(callInfo, ID, MemberID);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
